export declare class SchedulerWorker {
    millisconds: number;
    private preItems;
    private items;
    private postItems;
    running: boolean;
    constructor(millisconds: number);
    addToPreSchedule(name: string, operation: Function, requeueError?: boolean, waitFor?: () => boolean): void;
    addToSchedule(name: string, operation: Function, requeueError?: boolean, waitFor?: () => boolean): void;
    addToPostSchedule(name: string, operation: Function, requeueError?: boolean, waitFor?: () => boolean): void;
    private processItems;
    private processOneItem;
}
export declare class Scheduler {
    static schedulers: {
        [name: string]: SchedulerWorker;
    };
    static getScheduler(name: string, millseconds?: number): SchedulerWorker;
}
